JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class WinUser.WNDCLASSEX.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinUser.WNDCLASSEX
              com.sun.jna.platform.win32.WinUser.WNDCLASSEX.ByReference

All Implemented Interfaces:
  Structure.ByReference

Enclosing class:
  WinUser.WNDCLASSEX

    public static class WinUser.WNDCLASSEX.ByReference

extends WinUser.WNDCLASSEX
implements Structure.ByReference

The Class ByReference.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.platform.win32.WinUser.WNDCLASSEX
`WinUser.WNDCLASSEX.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.win32.WinUser.WNDCLASSEX
`cbClsExtra, cbSize, cbWndExtra, hbrBackground, hCursor, hIcon, hIconSm, hInstance, lpfnWndProc, lpszClassName, lpszMenuName, style`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.WNDCLASSEX.ByReference()`

Method Summary

Methods inherited from class com.sun.jna.platform.win32.WinUser.WNDCLASSEX
`getFieldOrder`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinUser.WNDCLASSEX.ByReference

    public WinUser.WNDCLASSEX.ByReference()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.